// DXFont.h: interface for the CDXFont class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DXFONT_H__17C2E8F4_4A0E_4071_A34E_0B8B0CE6E219__INCLUDED_)
#define AFX_DXFONT_H__17C2E8F4_4A0E_4071_A34E_0B8B0CE6E219__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <d3dx8.h>

class CDXFont  
{
public:
	CDXFont();
	virtual ~CDXFont();

    BOOL InitializeFont(IDirect3DDevice8* pDevice, char* strFontName, int iFontSize);
    void DestroyFont();
    BOOL Begin();
    void End();
    BOOL Print(char* strText, int iXPos = 0, int iYPos = 0);

    void SetFontColor(DWORD dwColor);

    // These functions are called when our device is 
    // lost....you remember what Im talking about right???
    BOOL InvalidateFontObject();
    BOOL RestoreFontObject();

private:

    // This is the interface that we use to do all our
    // font stuff.
    ID3DXFont*          m_pFont;

    // We'll store a pointer to the device because we'll need
    // it to create a font object
    IDirect3DDevice8*   m_pD3DDevice;

    // You can change teh color of your text if
    // you want and it's stored over here.
    DWORD               m_dwColor;

};

#endif // !defined(AFX_DXFONT_H__17C2E8F4_4A0E_4071_A34E_0B8B0CE6E219__INCLUDED_)






/**************************************************************************************
-Written/Submitted By Ali Fareed
-Comments/Questions/Suggestions: k9eks@hotmail.com
-Website: http://www28.brinkster.com/triplebuffer/
-This work is the authors work, and can be freely used

Triple Buffer and everyone that has anything to do
with Triple Buffer takes no responsibility for
anything that happens by using this code. ie: If this
code caues your computer to blow up or anything
then you are held responsible. hehe :).
***************************************************************************************/